summaryrefslogtreecommitdiffstats
path: root/commands/build-all
diff options
context:
space:
mode:
Diffstat (limited to 'commands/build-all')
-rwxr-xr-xcommands/build-all15
1 files changed, 15 insertions, 0 deletions
diff --git a/commands/build-all b/commands/build-all
new file mode 100755
index 0000000..afb677f
--- /dev/null
+++ b/commands/build-all
@@ -0,0 +1,15 @@
+#!/bin/sh
+# This is a wrapper script that can be used to build all architectures.
+#
+# The script builds all architectures listed in kernel-versions.
+# It expects to have the unpacked kernel packages for various arches in
+# ../alpha, etc. modules.dep files have to be put in there too if they are
+# not shipped in the .deb (varies)
+#
+# dpkg-cross must be installed, but you do not need a cross compiler.
+
+set -e
+
+for arch in $(cut -d ' ' -f 1 kernel-versions | grep -v ^# | uniq); do
+ kernel-wedge build-arch "$arch"
+done